## shotman 0.4.10

=== Makefile ===
DESTDIR?=/
PREFIX?=/usr/local

all: build

shotman.1: shotman.1.scd
	scdoc < shotman.1.scd > shotman.1

index.html: shotman.1
	mandoc -T html -O style=man-style.css < shotman.1 > index.html

site.tar.gz: index.html
	#TODO: curl man-style
	tar -cvz index.html man-style.css > site.tar.gz

target/release/shotman:
	cargo build --release --frozen

_shotman.zsh: target/release/shotman
	./target/release/shotman_completions zsh > _shotman.zsh

shotman.bash: target/release/shotman
	./target/release/shotman_completions bash > shotman.bash

shotman.fish: target/release/shotman
	./target/release/shotman_completions fish > shotman.fish

.PHONY: completion
completion: _shotman.zsh shotman.bash shotman.fish

.PHONY: build
build: target/release/shotman shotman.1 completion

.PHONY: install
install: build
	@install -Dm755 target/release/shotman 	${DESTDIR}${PREFIX}/bin/shotman
	@install -Dm644 shotman.1	${DESTDIR}${PREFIX}/share/man/man1/shotman.1
	@install -Dm644 LICENCE.md 	${DESTDIR}${PREFIX}/share/licenses/shotman/LICENCE.md
	@install -Dm644 _shotman.zsh ${DESTDIR}${PREFIX}/share/zsh/site-functions/_shotman
	@install -Dm644 shotman.bash ${DESTDIR}${PREFIX}/share/bash-completion/completions/shotman
	@install -Dm644 shotman.fish ${DESTDIR}${PREFIX}/share/fish/vendor_completions.d/shotman.fish

## shotman 0.4.7

=== debian/changelog ===
shotman (0.4.7-4) unstable; urgency=medium

  * d/patches/upgrade-smithay-client-toolkit-0.19, Closes: #1099288

 -- Blair Noctis <ncts@debian.org>  Sun, 02 Mar 2025 13:30:49 +0000

shotman (0.4.7-3) unstable; urgency=medium

  * d/patches/relax-deps: update, Closes: #1096214

 -- Blair Noctis <ncts@debian.org>  Tue, 18 Feb 2025 15:06:10 +0000

shotman (0.4.7-2) unstable; urgency=medium

  * d/patches/relax-deps: update

 -- Blair Noctis <ncts@debian.org>  Sun, 19 Jan 2025 16:37:39 +0000

shotman (0.4.7-1) unstable; urgency=medium

  * Initial release, Closes: #1076668

 -- Blair Noctis <ncts@debian.org>  Thu, 02 Jan 2025 05:38:56 +0000

=== debian/control ===
Source: shotman
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-shell-completions,
 scdoc,
Build-Depends-Arch:
 cargo,
 rustc,
 libxkbcommon-dev,
 librust-anyhow-dev,
 librust-calloop-dev,
 librust-calloop-wayland-source-dev,
 librust-clap-dev,
 librust-futures-channel-dev,
 librust-itertools-dev,
 librust-log-dev,
 librust-memmap2-dev,
 librust-nom-dev,
 librust-png-dev,
 librust-rustix-dev,
 librust-serde-dev,
 librust-serde-json-dev,
 librust-simple-logger-dev,
 librust-smithay-client-toolkit-dev,
 librust-thiserror-dev,
 librust-time-dev,
 librust-wayland-client-dev,
 librust-wayland-protocols-dev,
 librust-wayland-protocols-wlr-dev,
# shotman_completions
 librust-clap-complete-dev,
Maintainer: Blair Noctis <ncts@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/shotman.git
Vcs-Browser: https://salsa.debian.org/debian/shotman
Homepage: https://shotman.whynothugo.nl
Rules-Requires-Root: no

Package: shotman
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 slurp,
Enhances:
 sway,
Description: uncompromising screenshot GUI for Wayland compositors
 Takes a screenshot and shows it in a small floating thumbnail window. The
 screenshot can then be copied with Ctrl-C, deleted with D, or dismissed with
 Esc. It is designed to run in response to some global hotkey (Super-P, PrtScr,
 etc). It is designed for interactive usage.
 .
 Region selection uses slurp. Active window seletion is currently only
 available for sway.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/rustc/architecture.mk

# Upstream prefers so, leaving the version field in Cargo.toml always at 0.1.
export SHOTMAN_VERSION := $(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE
CARGO_BASE_ARGS= --release --target $(DEB_HOST_RUST_TYPE)

%:
	dh $@ --with shell_completions

execute_after_dh_auto_clean:
	-mv Makefile.upstream Makefile

execute_before_dh_auto_configure:
	mkdir -p .cargo
	cp debian/cargo-config.toml .cargo/config.toml
	# Do not use upstream Makefile, as it does not take into account the
	# difference of build and host architectures, some installs are not wanted,
	# and some are installed in places other than we prefer.
	mv Makefile Makefile.upstream

override_dh_auto_build:
	cargo build $(CARGO_BASE_ARGS)
	scdoc < shotman.1.scd > debian/shotman.1

override_dh_auto_test:
	cargo test $(CARGO_BASE_ARGS)

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://git.sr.ht/~whynothugo/shotman \
refs/tags/v(\d+\.\d+\.\d+)

## shotman 0.4.10

=== debian/changelog ===
shotman (0.4.10-1) unstable; urgency=medium

  * New upstream release
  * Dependency: upgrade to rustix 1, Closes: #1110306, #1117773
  * d/rules: silence Makefile mv in case already moved

 -- Blair Noctis <ncts@debian.org>  Thu, 23 Oct 2025 13:11:46 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  librust-smithay-client-toolkit-dev,
  librust-thiserror-dev,
  librust-time-dev,
+ librust-tz-rs-dev,
  librust-wayland-client-dev,
  librust-wayland-protocols-dev,
  librust-wayland-protocols-wlr-dev,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	# Do not use upstream Makefile, as it does not take into account the
 	# difference of build and host architectures, some installs are not wanted,
 	# and some are installed in places other than we prefer.
-	mv Makefile Makefile.upstream
+	-mv Makefile Makefile.upstream
 
 override_dh_auto_build:
 	cargo build $(CARGO_BASE_ARGS)
